// This sample illustrates use of the Collator class

import java.text.*;
import java.util.*;

class StrengthDemo {

	static Collator collator;
	static int result;
	static String s1 = "pche";
	static String s2 = "pch";

	public static void main(String argv[]) {
			
  System.out.println("United States");
	collator = Collator.getInstance(new Locale("en","US"));
	collator.setStrength(Collator.PRIMARY);
	doSorts();
	collator.setStrength(Collator.SECONDARY);
	doSorts();
	collator.setStrength(Collator.TERTIARY);
	doSorts();

	System.out.println();

	System.out.println("France");
	collator = Collator.getInstance(new Locale("fr","FR"));
	collator.setStrength(Collator.PRIMARY);
	doSorts();
	collator.setStrength(Collator.SECONDARY);
	doSorts();
	collator.setStrength(Collator.TERTIARY);
	doSorts();
  }

	public static void doSorts()
	{
	if (collator.getStrength() == Collator.PRIMARY)
	  System.out.println("Primary: ");
	else if (collator.getStrength() == Collator.SECONDARY)
	  System.out.println("Secondary: ");
	else if (collator.getStrength() == Collator.TERTIARY)
	  System.out.println("Tertiary: ");

	result = collator.compare(s1, s2);
	if (result == 0)
	   System.out.println(s1 + " equals " + s2);
	else if (result < 0)
	   System.out.println(s1 + " is before " + s2);
	else if (result > 0)
	   System.out.println(s1 + " is after " + s2);
 	}


}
