/*

Message.java

*/

package cs141b.gndo;

import info.net.Place;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

public abstract class Message extends info.net.Message {
  private Place _from;

  public Message() {
    _from = null;
  }

  public Message(Place from) {
    _from = from;
  }

  public Place from() {
    return _from;
  }

  public void readData(DataInputStream dis) throws IOException {
    _from = (Place)readObject(dis);
  }

  public void writeData(DataOutputStream dos) throws IOException {
    _from.writeObject(dos);
  }
};
