/*

VarMessage.java - Stuff for generic NDO messages

*/

package cs141b.gndo;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import info.net.Place;

public abstract class VarMessage extends Message {
  private Path _which;

  public VarMessage() {
    super();
    _which = null;
  }

  public VarMessage(Place from, Path which) {
    super(from);
    _which = which;
  }

  public Path which() {
    return _which;
  }

  public void readData(DataInputStream dis) throws IOException {
    super.readData(dis);
    _which = (Path)readObject(dis);
  }
  
  public void writeData(DataOutputStream dos) throws IOException {
    super.writeData(dos);
    _which.writeObject(dos);
  }
};
