/*

Assert.java - Stuff to do assertions

*/

package cs141b.sedit2;

public class Assert extends java.lang.RuntimeException {
  private Assert(String s) {
    super(s);
  }

  public static void isNull(Object o) {
    if (o != null) {
      throw new Assert("Object is not null");
    }
  }

  public static void isNotNull(Object o) {
    if (o == null) {
      throw new Assert("Object is null");
    }
  }

  public static void isTrue(boolean b) {
    if (!b) {
      throw new Assert("Condition is false");
    }
    
  }

  public static void isFalse(boolean b) {
    if (b) {
      throw new Assert("Condition is true");
    }
  }

  public static void error(String s) {
    throw new Assert(s);
  }
};
