//
//  StripDebug 1.0
//  Copyright (c) 1997 Matt T. Yourst. All rights reserved.
//
//  File:     StripDebugClassFile.java
//  Classes:  StripDebugClassFile
//  Version:  1.00.034
//  Date:     April/May 1997
//  Author:   Matt Yourst [yourst@laserstars.com]
//  Language: Java 1.1+
//

package lti.java.stripdebug;

import java.io.*;
import java.util.*;
import lti.java.jcf.*;

public class StripDebugClassFile extends JcfClassFile
{
  public StripDebugClassFile()
    { super(); }

  public StripDebugClassFile (JcfClassInput ist)
    throws IOException, ClassFormatError
  { super(ist); }

  public JcfAttributeCollection readAttributes(JcfClassInput ist)
    throws IOException
    { return new StripDebugAttributeCollection(ist, getConstantPool()); }
}
